diff --git a/src/main/java/net/minecraft/client/option/RangeOption.java b/src/main/java/net/minecraft/client/option/OptionRange.java
similarity index 84%
rename from src/main/java/net/minecraft/client/option/RangeOption.java
rename to src/main/java/net/minecraft/client/option/OptionRange.java
index fca1fa9de..0ef3a71a3 100644
--- a/src/main/java/net/minecraft/client/option/RangeOption.java
+++ b/src/main/java/net/minecraft/client/option/OptionRange.java
@@ -1,14 +1,14 @@
 package net.minecraft.client.option;
 
-public class RangeOption extends ToggleableOption<Integer>{
+public class OptionRange extends OptionToggleable<Integer> {
 	public final int highest;
 	public final int lowest;
-    public RangeOption(GameSettings gameSettings, String name, int defaultValue, int values) {
+    public OptionRange(GameSettings gameSettings, String name, int defaultValue, int values) {
         super(gameSettings, name, defaultValue, getValueArray(values));
 		highest = this.values[this.values.length - 1];
 		lowest = this.values[0];
     }
-	public RangeOption(GameSettings gameSettings, String name, int defaultValue, int lowest, int highest) {
+	public OptionRange(GameSettings gameSettings, String name, int defaultValue, int lowest, int highest) {
 		super(gameSettings, name, defaultValue, getValueArray(lowest, highest));
 		this.highest = this.values[this.values.length - 1];
 		this.lowest = this.values[0];
diff --git a/src/main/java/net/minecraft/client/option/StringOption.java b/src/main/java/net/minecraft/client/option/OptionString.java
similarity index 61%
rename from src/main/java/net/minecraft/client/option/StringOption.java
rename to src/main/java/net/minecraft/client/option/OptionString.java
index 0f01bfcf8..422af38c1 100644
--- a/src/main/java/net/minecraft/client/option/StringOption.java
+++ b/src/main/java/net/minecraft/client/option/OptionString.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.option;
 
-public class StringOption extends Option<String>{
+public class OptionString extends Option<String>{
 
-	public StringOption(GameSettings gameSettings, String name, String defaultValue) {
+	public OptionString(GameSettings gameSettings, String name, String defaultValue) {
 		super(gameSettings, name, defaultValue);
 	}
 
diff --git a/src/main/java/net/minecraft/client/option/ToggleableOption.java b/src/main/java/net/minecraft/client/option/OptionToggleable.java
similarity index 86%
rename from src/main/java/net/minecraft/client/option/ToggleableOption.java
rename to src/main/java/net/minecraft/client/option/OptionToggleable.java
index dd3ee910d..40a12da61 100644
--- a/src/main/java/net/minecraft/client/option/ToggleableOption.java
+++ b/src/main/java/net/minecraft/client/option/OptionToggleable.java
@@ -3,11 +3,11 @@ package net.minecraft.client.option;
 import net.minecraft.client.render.dynamictexture.DynamicTexture;
 import net.minecraft.core.util.helper.Toggleable;
 
-public abstract class ToggleableOption<E> extends Option<E> implements Toggleable{
+public abstract class OptionToggleable<E> extends Option<E> implements Toggleable{
 
 	public E[] values;
 	
-	public ToggleableOption(GameSettings gameSettings, String name, E defaultValue, E[] values) {
+	public OptionToggleable(GameSettings gameSettings, String name, E defaultValue, E[] values) {
 		super(gameSettings, name, defaultValue);
 		
 		this.values = values;
diff --git a/src/main/java/net/minecraft/client/option/VolumeOption.java b/src/main/java/net/minecraft/client/option/OptionVolume.java
similarity index 87%
rename from src/main/java/net/minecraft/client/option/VolumeOption.java
rename to src/main/java/net/minecraft/client/option/OptionVolume.java
index 91bb91d0e..9bfb1b8d0 100644
--- a/src/main/java/net/minecraft/client/option/VolumeOption.java
+++ b/src/main/java/net/minecraft/client/option/OptionVolume.java
@@ -3,14 +3,13 @@ package net.minecraft.client.option;
 import net.minecraft.client.sound.SoundCategoryHelper;
 import net.minecraft.client.sound.SoundEngine;
 import net.minecraft.core.sound.SoundCategory;
-import org.jetbrains.annotations.NotNull;
 import paulscode.sound.SoundSystem;
 
-public class VolumeOption extends FloatOption{
+public class OptionVolume extends OptionFloat {
 	public final SoundCategory soundCategory;
 
 	//do *not* add @NotNull to gameSettings here, breaks modding for some abstract reason
-	public VolumeOption(GameSettings gameSettings, String name, float value, SoundCategory soundCategory) {
+	public OptionVolume(GameSettings gameSettings, String name, float value, SoundCategory soundCategory) {
 		super(gameSettings, name, value);
 		this.soundCategory = soundCategory;
 	}
diff --git a/src/main/java/net/minecraft/client/player/controller/PlayerController.java b/src/main/java/net/minecraft/client/player/controller/PlayerController.java
index 0f19816c7..9ccb98a30 100644
--- a/src/main/java/net/minecraft/client/player/controller/PlayerController.java
+++ b/src/main/java/net/minecraft/client/player/controller/PlayerController.java
@@ -1,10 +1,10 @@
 package net.minecraft.client.player.controller;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.player.LocalPlayer;
+import net.minecraft.client.entity.player.PlayerLocal;
 import net.minecraft.core.InventoryAction;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.ArtType;
@@ -202,11 +202,11 @@ public abstract class PlayerController {
 
 	public void render(float f) {
 		if (currentDamage <= 0.0F) {
-			mc.ingameHud.damageGuiPartialTime = 0.0F;
+			mc.hudIngame.damageGuiPartialTime = 0.0F;
 			mc.renderGlobal.damagePartialTime = 0.0F;
 		} else {
 			float f1 = previousDamage + (currentDamage - previousDamage) * f;
-			mc.ingameHud.damageGuiPartialTime = f1;
+			mc.hudIngame.damageGuiPartialTime = f1;
 			mc.renderGlobal.damagePartialTime = f1;
 		}
 	}
@@ -258,9 +258,9 @@ public abstract class PlayerController {
 		int blockId = world.getBlockId(blockX, blockY, blockZ);
 		if (player.getHeldObject() == null) {
 			if (player.isSneaking() && itemstack == null) { // If crouched and hand empty try to pickup block entity
-				BlockEntity blockEntity = world.getBlockEntity(blockX, blockY, blockZ);
-				if (blockEntity != null && blockEntity.canBeCarried(world, player)) {
-					player.setHeldObject(blockEntity.pickup(world, player));
+				TileEntity tileEntity = world.getBlockEntity(blockX, blockY, blockZ);
+				if (tileEntity != null && tileEntity.canBeCarried(world, player)) {
+					player.setHeldObject(tileEntity.pickup(world, player));
 					return true;
 				}
 			}
@@ -290,7 +290,7 @@ public abstract class PlayerController {
 	}
 
 	public Player createPlayer(World world) {
-		return new LocalPlayer(mc, world, mc.session, world.dimension.id);
+		return new PlayerLocal(mc, world, mc.session, world.dimension.id);
 	}
 
 	public boolean interact(Player player, Entity entity) {
diff --git a/src/main/java/net/minecraft/client/player/controller/PlayerControllerMP.java b/src/main/java/net/minecraft/client/player/controller/PlayerControllerMP.java
index bc8500f4c..3c7ced0d4 100644
--- a/src/main/java/net/minecraft/client/player/controller/PlayerControllerMP.java
+++ b/src/main/java/net/minecraft/client/player/controller/PlayerControllerMP.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.player.controller;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.player.MultiplayerLocalPlayer;
-import net.minecraft.client.net.handler.ClientPacketHandler;
+import net.minecraft.client.entity.player.PlayerLocalMultiplayer;
+import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.core.InventoryAction;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
@@ -15,10 +15,10 @@ import net.minecraft.core.world.World;
 
 public class PlayerControllerMP extends PlayerController {
 
-	protected ClientPacketHandler netHandler;
+	protected PacketHandlerClient netHandler;
 	protected int currentItem;
 
-	public PlayerControllerMP(Minecraft minecraft, ClientPacketHandler netHandler) {
+	public PlayerControllerMP(Minecraft minecraft, PacketHandlerClient netHandler) {
 		super(minecraft);
 		
 		this.netHandler = netHandler;
@@ -81,7 +81,7 @@ public class PlayerControllerMP extends PlayerController {
 
 	@Override
 	public Player createPlayer(World world) {
-		return new MultiplayerLocalPlayer(mc, world, mc.session, netHandler);
+		return new PlayerLocalMultiplayer(mc, world, mc.session, netHandler);
 	}
 
 	@Override
diff --git a/src/main/java/net/minecraft/client/player/controller/PlayerControllerSP.java b/src/main/java/net/minecraft/client/player/controller/PlayerControllerSP.java
index d4307c23b..916f30673 100644
--- a/src/main/java/net/minecraft/client/player/controller/PlayerControllerSP.java
+++ b/src/main/java/net/minecraft/client/player/controller/PlayerControllerSP.java
@@ -2,7 +2,7 @@ package net.minecraft.client.player.controller;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.Side;
@@ -18,7 +18,7 @@ public class PlayerControllerSP extends PlayerController {
 		if (!player.getGamemode().canInteract() || mc.thePlayer.getHeldObject() != null) return false;
 		int id = mc.theWorld.getBlockId(x, y, z);
 		int meta = mc.theWorld.getBlockMetadata(x, y, z);
-		BlockEntity blockEntity = mc.theWorld.getBlockEntity(x, y, z);
+		TileEntity tileEntity = mc.theWorld.getBlockEntity(x, y, z);
 		boolean removed = super.destroyBlock(x, y, z, side, player);
 		ItemStack item = mc.thePlayer.getCurrentEquippedItem();
 
@@ -26,7 +26,7 @@ public class PlayerControllerSP extends PlayerController {
 			item.onDestroyBlock(mc.theWorld, id, x, y, z, side, mc.thePlayer);
 		}
 		if (removed && mc.thePlayer.getGamemode().dropBlockOnBreak()) {
-			Block.blocksList[id].harvestBlock(mc.theWorld, mc.thePlayer, x, y, z, meta, blockEntity);
+			Block.blocksList[id].harvestBlock(mc.theWorld, mc.thePlayer, x, y, z, meta, tileEntity);
 		}
 
 		if (item != null && item.stackSize <= 0)
diff --git a/src/main/java/net/minecraft/client/render/BlockEntityRenderDispatcher.java b/src/main/java/net/minecraft/client/render/BlockEntityRenderDispatcher.java
index 37963ef6e..01789de76 100644
--- a/src/main/java/net/minecraft/client/render/BlockEntityRenderDispatcher.java
+++ b/src/main/java/net/minecraft/client/render/BlockEntityRenderDispatcher.java
@@ -7,7 +7,7 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.blockentity.*;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.entity.*;
-import net.minecraft.core.block.piston.MovingPistonBlockEntity;
+import net.minecraft.core.block.piston.TileEntityMovingPistonBlock;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
@@ -17,33 +17,33 @@ public class BlockEntityRenderDispatcher
     private BlockEntityRenderDispatcher()
     {
         renderers = new HashMap<>();
-        renderers.put(SignBlockEntity.class, new SignBlockEntityRenderer());
-        renderers.put(FlagBlockEntity.class, new FlagBlockEntityRenderer());
-        renderers.put(MobSpawnerBlockEntity.class, new MobSpawnerBlockEntityRenderer());
-        renderers.put(MovingPistonBlockEntity.class, new PistonBlockEntityRenderer());
-        renderers.put(FlowerJarBlockEntity.class, new FlowerJarBlockEntityRenderer());
-        renderers.put(GoldMeshBlockEntity.class, new MeshBlockEntityRenderer());
-
-        for (BlockEntityRenderer<?> blockEntityRenderer : renderers.values())
+        renderers.put(TileEntitySign.class, new TileEntityRendererSign());
+        renderers.put(TileEntityFlag.class, new TileEntityRendererFlag());
+        renderers.put(TileEntityMobSpawner.class, new TileEntityRendererMobSpawner());
+        renderers.put(TileEntityMovingPistonBlock.class, new TileEntityRendererMovingPiston());
+        renderers.put(TileEntityFlowerJar.class, new TileEntityRendererFlowerJar());
+        renderers.put(TileEntityMeshGold.class, new TileEntityRendererMeshGold());
+
+        for (TileEntityRenderer<?> tileEntityRenderer : renderers.values())
         {
-            blockEntityRenderer.setRenderDispatcher(this);
+            tileEntityRenderer.setRenderDispatcher(this);
         }
 
     }
 
     @SuppressWarnings("unchecked") // trust me this is safe, Notch did it first
-    public <T extends BlockEntity> BlockEntityRenderer<T> getRenderer(Class<? extends BlockEntity> e)
+    public <T extends TileEntity> TileEntityRenderer<T> getRenderer(Class<? extends TileEntity> e)
     {
-        BlockEntityRenderer<? extends BlockEntity> r = renderers.get(e);
-        if(r == null && e != BlockEntity.class)
+        TileEntityRenderer<? extends TileEntity> r = renderers.get(e);
+        if(r == null && e != TileEntity.class)
         {
-            r = getRenderer((Class<? extends BlockEntity>) e.getSuperclass());
+            r = getRenderer((Class<? extends TileEntity>) e.getSuperclass());
             renderers.put(e, r);
         }
-        return (BlockEntityRenderer<T>) r;
+        return (TileEntityRenderer<T>) r;
     }
 
-    public <T extends BlockEntity> BlockEntityRenderer<T> getRenderer(T tileEntity)
+    public <T extends TileEntity> TileEntityRenderer<T> getRenderer(T tileEntity)
     {
         if(tileEntity == null)
         {
@@ -55,7 +55,7 @@ public class BlockEntityRenderDispatcher
         }
     }
 
-    public <T extends BlockEntity> boolean hasRenderer(T tileEntity)
+    public <T extends TileEntity> boolean hasRenderer(T tileEntity)
     {
         return getRenderer(tileEntity) != null;
     }
@@ -76,7 +76,7 @@ public class BlockEntityRenderDispatcher
         viewLerpPosZ = (float) camera.getZ(partialTick);
     }
 
-    public <T extends BlockEntity> void renderTileEntity(Tessellator tessellator, T tileEntity, float partialTick)
+    public <T extends TileEntity> void renderTileEntity(Tessellator tessellator, T tileEntity, float partialTick)
     {
         if(tileEntity.getDistanceFrom(viewLerpPosX, viewLerpPosY, viewLerpPosZ) < 4096D)
         {
@@ -97,9 +97,9 @@ public class BlockEntityRenderDispatcher
         }
     }
 
-    public <T extends BlockEntity> void renderTileEntity(Tessellator tessellator, T tileEntity, double x, double y, double z, float partialTick)
+    public <T extends TileEntity> void renderTileEntity(Tessellator tessellator, T tileEntity, double x, double y, double z, float partialTick)
     {
-        BlockEntityRenderer<T> renderer = getRenderer(tileEntity);
+        TileEntityRenderer<T> renderer = getRenderer(tileEntity);
         if(renderer != null)
         {
             renderer.doRender(tessellator, tileEntity, x, y, z, partialTick);
@@ -109,7 +109,7 @@ public class BlockEntityRenderDispatcher
     public void updateRendererWorldCache(World world)
     {
         worldObj = world;
-        for (BlockEntityRenderer<?> renderer : renderers.values())
+        for (TileEntityRenderer<?> renderer : renderers.values())
         {
             if (renderer != null)
             {
@@ -123,7 +123,7 @@ public class BlockEntityRenderDispatcher
         return font;
     }
 
-    private final Map<Class<?>, BlockEntityRenderer<?>> renderers;
+    private final Map<Class<?>, TileEntityRenderer<?>> renderers;
     public static BlockEntityRenderDispatcher instance = new BlockEntityRenderDispatcher();
     private Font font;
     public static double renderPosX;
diff --git a/src/main/java/net/minecraft/client/render/EntityRenderDispatcher.java b/src/main/java/net/minecraft/client/render/EntityRenderDispatcher.java
index 8483bf786..bffcb24ef 100644
--- a/src/main/java/net/minecraft/client/render/EntityRenderDispatcher.java
+++ b/src/main/java/net/minecraft/client/render/EntityRenderDispatcher.java
@@ -3,89 +3,89 @@ package net.minecraft.client.render;
 import java.util.HashMap;
 import java.util.Map;
 
-import net.minecraft.client.render.model.BipedModel;
-import net.minecraft.client.render.model.ChickenModel;
-import net.minecraft.client.render.model.CowModel;
-import net.minecraft.client.render.model.SheepModel;
-import net.minecraft.client.render.model.SkeletonModel;
-import net.minecraft.client.render.model.SquidModel;
-import net.minecraft.core.entity.LightningEntity;
+import net.minecraft.client.render.model.ModelBiped;
+import net.minecraft.client.render.model.ModelChicken;
+import net.minecraft.client.render.model.ModelCow;
+import net.minecraft.client.render.model.ModelSheep;
+import net.minecraft.client.render.model.ModelSkeleton;
+import net.minecraft.client.render.model.ModelSquid;
+import net.minecraft.client.render.model.ModelZombie;
+import net.minecraft.core.entity.EntityItem;
+import net.minecraft.core.entity.EntityLightning;
+import net.minecraft.core.entity.EntityPainting;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
-import net.minecraft.core.entity.animal.SquidMob;
-import net.minecraft.core.entity.monster.CreeperMob;
-import net.minecraft.core.entity.monster.SkeletonMob;
-import net.minecraft.core.entity.monster.SlimeMob;
-import net.minecraft.core.entity.monster.ZombieArmoredMob;
-import net.minecraft.core.entity.projectile.CannonballProjectile;
-import net.minecraft.core.entity.projectile.EggProjectile;
-import net.minecraft.core.entity.projectile.SnowballProjectile;
+import net.minecraft.core.entity.animal.MobChicken;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
+import net.minecraft.core.entity.animal.MobWolf;
+import net.minecraft.core.entity.animal.MobSquid;
+import net.minecraft.core.entity.monster.MobCreeper;
+import net.minecraft.core.entity.monster.MobSkeleton;
+import net.minecraft.core.entity.monster.MobSlime;
+import net.minecraft.core.entity.monster.MobZombie;
+import net.minecraft.core.entity.monster.MobZombieArmored;
+import net.minecraft.core.entity.projectile.ProjectileCannonball;
+import net.minecraft.core.entity.projectile.ProjectileEgg;
+import net.minecraft.core.entity.projectile.ProjectileFireball;
+import net.minecraft.core.entity.projectile.ProjectileSnowball;
 import net.minecraft.core.entity.vehicle.BoatEntity;
 import net.minecraft.core.item.Items;
 import org.lwjgl.opengl.GL11;
 import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.camera.ICamera;
-import net.minecraft.client.render.entity.ArmoredZombieRenderer;
-import net.minecraft.client.render.entity.ArrowRenderer;
-import net.minecraft.client.render.entity.BoatRenderer;
-import net.minecraft.client.render.entity.FishingBobberRenderer;
-import net.minecraft.client.render.entity.CannonballRenderer;
-import net.minecraft.client.render.entity.ChickenRenderer;
-import net.minecraft.client.render.entity.CowRenderer;
-import net.minecraft.client.render.entity.CreeperRenderer;
-import net.minecraft.client.render.entity.DefaultRenderer;
+import net.minecraft.client.render.entity.MobRendererZombieArmored;
+import net.minecraft.client.render.entity.EntityRendererArrow;
+import net.minecraft.client.render.entity.EntityRendererBoat;
+import net.minecraft.client.render.entity.EntityRendererFishingBobber;
+import net.minecraft.client.render.entity.EntityRendererCannonball;
+import net.minecraft.client.render.entity.MobRendererChicken;
+import net.minecraft.client.render.entity.MobRendererCow;
+import net.minecraft.client.render.entity.MobRendererCreeper;
+import net.minecraft.client.render.entity.EntityRendererDefault;
 import net.minecraft.client.render.entity.EntityRenderer;
-import net.minecraft.client.render.entity.FallingBlockRenderer;
-import net.minecraft.client.render.entity.FireflyRenderer;
-import net.minecraft.client.render.entity.GhastRenderer;
-import net.minecraft.client.render.entity.GiantRenderer;
-import net.minecraft.client.render.entity.ItemEntityRenderer;
-import net.minecraft.client.render.entity.LightningBoltRenderer;
+import net.minecraft.client.render.entity.EntityRendererFallingBlock;
+import net.minecraft.client.render.entity.MobRendererFireflyCluster;
+import net.minecraft.client.render.entity.MobRendererGhast;
+import net.minecraft.client.render.entity.MobRendererGiant;
+import net.minecraft.client.render.entity.EntityRendererItem;
+import net.minecraft.client.render.entity.EntityRendererLightningBolt;
 import net.minecraft.client.render.entity.MobRenderer;
-import net.minecraft.client.render.entity.MinecartRenderer;
-import net.minecraft.client.render.entity.BipedRenderer;
-import net.minecraft.client.render.entity.HumanRenderer;
-import net.minecraft.client.render.entity.PaintingRenderer;
-import net.minecraft.client.render.entity.PigRenderer;
-import net.minecraft.client.render.entity.PlayerRenderer;
-import net.minecraft.client.render.entity.ScorpionRenderer;
-import net.minecraft.client.render.entity.SheepRenderer;
-import net.minecraft.client.render.entity.SlimeRenderer;
-import net.minecraft.client.render.entity.SpriteRenderer;
-import net.minecraft.client.render.entity.SpiderRenderer;
-import net.minecraft.client.render.entity.SquidRenderer;
-import net.minecraft.client.render.entity.TNTRenderer;
-import net.minecraft.client.render.entity.WolfRenderer;
-import net.minecraft.client.render.model.PigModel;
-import net.minecraft.client.render.model.SheepOverlayModel;
-import net.minecraft.client.render.model.SheepWoolModel;
-import net.minecraft.client.render.model.SlimeModel;
-import net.minecraft.client.render.model.WolfModel;
-import net.minecraft.client.render.model.ZombieModel;
+import net.minecraft.client.render.entity.EntityRendererMinecart;
+import net.minecraft.client.render.entity.MobRendererBiped;
+import net.minecraft.client.render.entity.MobRendererHuman;
+import net.minecraft.client.render.entity.EntityRendererPainting;
+import net.minecraft.client.render.entity.MobRendererPig;
+import net.minecraft.client.render.entity.MobRendererPlayer;
+import net.minecraft.client.render.entity.MobRendererScorpion;
+import net.minecraft.client.render.entity.MobRendererSheep;
+import net.minecraft.client.render.entity.MobRendererSlime;
+import net.minecraft.client.render.entity.EntityRendererSprite;
+import net.minecraft.client.render.entity.MobRendererSpider;
+import net.minecraft.client.render.entity.MobRendererSquid;
+import net.minecraft.client.render.entity.EntityRendererTNT;
+import net.minecraft.client.render.entity.MobRendererWolf;
+import net.minecraft.client.render.model.ModelPig;
+import net.minecraft.client.render.model.ModelSheepOverlay;
+import net.minecraft.client.render.model.ModelSheepWool;
+import net.minecraft.client.render.model.ModelSlime;
+import net.minecraft.client.render.model.ModelWolf;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.FishingBobberEntity;
-import net.minecraft.core.entity.FallingBlockEntity;
-import net.minecraft.core.entity.ItemEntity;
-import net.minecraft.core.entity.PaintingEntity;
-import net.minecraft.core.entity.TNTPrimedEntity;
-import net.minecraft.core.entity.animal.ChickenMob;
-import net.minecraft.core.entity.animal.CowMob;
-import net.minecraft.core.entity.animal.PigMob;
-import net.minecraft.core.entity.animal.SheepMob;
-import net.minecraft.core.entity.animal.WolfMob;
-import net.minecraft.core.entity.monster.GhastMob;
-import net.minecraft.core.entity.monster.GiantMob;
-import net.minecraft.core.entity.monster.HumanMob;
-import net.minecraft.core.entity.monster.ScorpionMob;
-import net.minecraft.core.entity.monster.SnowmanMob;
-import net.minecraft.core.entity.monster.SpiderMob;
-import net.minecraft.core.entity.monster.ZombieMob;
+import net.minecraft.core.entity.EntityFishingBobber;
+import net.minecraft.core.entity.EntityFallingBlock;
+import net.minecraft.core.entity.EntityPrimedTNT;
+import net.minecraft.core.entity.animal.MobCow;
+import net.minecraft.core.entity.animal.MobPig;
+import net.minecraft.core.entity.animal.MobSheep;
+import net.minecraft.core.entity.monster.MobGhast;
+import net.minecraft.core.entity.monster.MobGiant;
+import net.minecraft.core.entity.monster.MobHuman;
+import net.minecraft.core.entity.monster.MobScorpion;
+import net.minecraft.core.entity.monster.MobSnowman;
+import net.minecraft.core.entity.monster.MobSpider;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.entity.projectile.ArrowProjectile;
-import net.minecraft.core.entity.projectile.FireballProjectile;
-import net.minecraft.core.entity.projectile.PebbleProjectile;
+import net.minecraft.core.entity.projectile.ProjectileArrow;
+import net.minecraft.core.entity.projectile.ProjectilePebble;
 import net.minecraft.core.entity.vehicle.MinecartEntity;
 import net.minecraft.core.world.World;
 
@@ -94,41 +94,41 @@ public class EntityRenderDispatcher
     private EntityRenderDispatcher()
     {
         renderers = new HashMap<>();
-        renderers.put(SpiderMob.class, new SpiderRenderer());
-        renderers.put(ScorpionMob.class, new ScorpionRenderer());
-        renderers.put(PigMob.class, new PigRenderer(new PigModel(), new PigModel(0.5F), 0.7F));
-        renderers.put(SheepMob.class, new SheepRenderer(new SheepModel(), new SheepWoolModel(), new SheepOverlayModel(), 0.7F));
-        renderers.put(CowMob.class, new CowRenderer(new CowModel(), 0.7F));
-        renderers.put(WolfMob.class, new WolfRenderer(new WolfModel(0.0f), 0.5F));
-        renderers.put(ChickenMob.class, new ChickenRenderer(new ChickenModel(), 0.3F));
-        renderers.put(CreeperMob.class, new CreeperRenderer());
-        renderers.put(SkeletonMob.class, new BipedRenderer<>(new SkeletonModel(), 0.5F));
-        renderers.put(ZombieMob.class, new BipedRenderer<>(new ZombieModel(), 0.5F));
-        renderers.put(SnowmanMob.class, new BipedRenderer<>(new ZombieModel(), 0.5F));
-        renderers.put(ZombieArmoredMob.class, new ArmoredZombieRenderer(new ZombieModel(), 0.5F));
-        renderers.put(SlimeMob.class, new SlimeRenderer(new SlimeModel(16), new SlimeModel(0), 0.25F));
-        renderers.put(Player.class, new PlayerRenderer());
-        renderers.put(HumanMob.class, new HumanRenderer());
-        renderers.put(GiantMob.class, new GiantRenderer(new ZombieModel(), 0.5F, 6F));
-        renderers.put(GhastMob.class, new GhastRenderer());
-        renderers.put(SquidMob.class, new SquidRenderer(new SquidModel(), 0.7F));
-        renderers.put(Mob.class, new MobRenderer<>(new BipedModel(), 0.5F));
-        renderers.put(Entity.class, new DefaultRenderer());
-        renderers.put(PaintingEntity.class, new PaintingRenderer());
-        renderers.put(ArrowProjectile.class, new ArrowRenderer());
-        renderers.put(SnowballProjectile.class, new SpriteRenderer<SnowballProjectile>(Items.AMMO_SNOWBALL));
-        renderers.put(EggProjectile.class, new SpriteRenderer<EggProjectile>(Items.EGG_CHICKEN));
-        renderers.put(FireballProjectile.class, new SpriteRenderer<FireballProjectile>(Items.AMMO_FIREBALL).setScale(4).setFullBright());
-        renderers.put(ItemEntity.class, new ItemEntityRenderer());
-        renderers.put(TNTPrimedEntity.class, new TNTRenderer());
-        renderers.put(FallingBlockEntity.class, new FallingBlockRenderer());
-        renderers.put(MinecartEntity.class, new MinecartRenderer());
-        renderers.put(BoatEntity.class, new BoatRenderer());
-        renderers.put(FishingBobberEntity.class, new FishingBobberRenderer());
-        renderers.put(FireflyClusterMob.class, new FireflyRenderer());
-        renderers.put(LightningEntity.class, new LightningBoltRenderer());
-        renderers.put(CannonballProjectile.class, new CannonballRenderer());
-        renderers.put(PebbleProjectile.class, new SpriteRenderer<PebbleProjectile>(Items.AMMO_PEBBLE));
+        renderers.put(MobSpider.class, new MobRendererSpider());
+        renderers.put(MobScorpion.class, new MobRendererScorpion());
+        renderers.put(MobPig.class, new MobRendererPig(new ModelPig(), new ModelPig(0.5F), 0.7F));
+        renderers.put(MobSheep.class, new MobRendererSheep(new ModelSheep(), new ModelSheepWool(), new ModelSheepOverlay(), 0.7F));
+        renderers.put(MobCow.class, new MobRendererCow(new ModelCow(), 0.7F));
+        renderers.put(MobWolf.class, new MobRendererWolf(new ModelWolf(0.0f), 0.5F));
+        renderers.put(MobChicken.class, new MobRendererChicken(new ModelChicken(), 0.3F));
+        renderers.put(MobCreeper.class, new MobRendererCreeper());
+        renderers.put(MobSkeleton.class, new MobRendererBiped<>(new ModelSkeleton(), 0.5F));
+        renderers.put(MobZombie.class, new MobRendererBiped<>(new ModelZombie(), 0.5F));
+        renderers.put(MobSnowman.class, new MobRendererBiped<>(new ModelZombie(), 0.5F));
+        renderers.put(MobZombieArmored.class, new MobRendererZombieArmored(new ModelZombie(), 0.5F));
+        renderers.put(MobSlime.class, new MobRendererSlime(new ModelSlime(16), new ModelSlime(0), 0.25F));
+        renderers.put(Player.class, new MobRendererPlayer());
+        renderers.put(MobHuman.class, new MobRendererHuman());
+        renderers.put(MobGiant.class, new MobRendererGiant(new ModelZombie(), 0.5F, 6F));
+        renderers.put(MobGhast.class, new MobRendererGhast());
+        renderers.put(MobSquid.class, new MobRendererSquid(new ModelSquid(), 0.7F));
+        renderers.put(Mob.class, new MobRenderer<>(new ModelBiped(), 0.5F));
+        renderers.put(Entity.class, new EntityRendererDefault());
+        renderers.put(EntityPainting.class, new EntityRendererPainting());
+        renderers.put(ProjectileArrow.class, new EntityRendererArrow());
+        renderers.put(ProjectileSnowball.class, new EntityRendererSprite<ProjectileSnowball>(Items.AMMO_SNOWBALL));
+        renderers.put(ProjectileEgg.class, new EntityRendererSprite<ProjectileEgg>(Items.EGG_CHICKEN));
+        renderers.put(ProjectileFireball.class, new EntityRendererSprite<ProjectileFireball>(Items.AMMO_FIREBALL).setScale(4).setFullBright());
+        renderers.put(EntityItem.class, new EntityRendererItem());
+        renderers.put(EntityPrimedTNT.class, new EntityRendererTNT());
+        renderers.put(EntityFallingBlock.class, new EntityRendererFallingBlock());
+        renderers.put(MinecartEntity.class, new EntityRendererMinecart());
+        renderers.put(BoatEntity.class, new EntityRendererBoat());
+        renderers.put(EntityFishingBobber.class, new EntityRendererFishingBobber());
+        renderers.put(MobFireflyCluster.class, new MobRendererFireflyCluster());
+        renderers.put(EntityLightning.class, new EntityRendererLightningBolt());
+        renderers.put(ProjectileCannonball.class, new EntityRendererCannonball());
+        renderers.put(ProjectilePebble.class, new EntityRendererSprite<ProjectilePebble>(Items.AMMO_PEBBLE));
 
 
         for (EntityRenderer<?> renderer : renderers.values())
